# Half-Life: Source - Issues

Here's a list of things that we'd fix in Half-Life: Source (and Deathmatch), given the opportunity.

## Bug: Entities double spawning in multiplayer

All entities double spawn in multiplayer. Supposedly a gamerule class method needs to be stubbed out because it's running spawn code twice? We don't have the source code to HL:S, so we have no idea.

## Fluff: More cubemaps instead of spherical environment maps

One massively missed opportunity was to not use cubemaps for the majority of environment mapping in Half-Life: Source.

## Fluff: The wrong sound, everywhere

Sounds from Half-Life 2 clash with Half-Life. Doors during the train ride should not sound like a door handle is being pulled. The footsteps are all from Half-Life 2 as well and clash with the lower sampling rate sounds from Half-Life.